using System;
using System.Collections.Generic;
using System.Windows.Forms;
using FastReport.Utils;

namespace FastReport.Forms
{
    /// <summary>
    /// Base class for all dialog forms with two buttons, OK and Cancel. 
    /// </summary>
    public partial class BaseDialogForm : BaseForm
    {
        /// <inheritdoc/>
        public override void Localize()
        {
            base.Localize();
            btnOk.Text = Res.Get("Buttons,Ok");
            btnCancel.Text = Res.Get("Buttons,Cancel");
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="BaseDialogForm"/> class.
        /// </summary>
        public BaseDialogForm()
        {
            InitializeComponent();
        }
    }
}